var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
  var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
  if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
  else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
  return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { MapToComponentField, VegaSlimmer } from 'vega-slimmer/core';
import { h } from '@stencil/core';
import { VegaInternalIconManager } from '../../../../helpers/icon/internal-icon-manager';
import { VegaIconManager } from '../../../../helpers/icon/icon-manager';
import { formatAndValidResponsiveToken } from '../../../../utils/design-token';
export class VegaFlagIconRenderer extends VegaSlimmer {
  render() {
    const icon = VegaInternalIconManager.getIconKey(this.country);
    const hasIcon = VegaIconManager.hasIcon(icon);
    const height = formatAndValidResponsiveToken(this.size, 'widthAndHeight');
    const width = `calc(${height} * 4 / 3)`;
    if (!hasIcon)
      return (h("vega-skeleton", { type: "image", corners: "rounded-2", height: height, width: width }));
    return h("vega-icon", { icon: icon, size: this.size, style: { '--vega-icon-width': width } });
  }
}
__decorate([
  MapToComponentField()
], VegaFlagIconRenderer.prototype, "size", void 0);
__decorate([
  MapToComponentField()
], VegaFlagIconRenderer.prototype, "country", void 0);
